package sample.activity;

import java.util.ArrayList;
import java.util.List;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;

public class SampleData extends GlueActivity<GlueContext> {
    // Do not define the Class Member Variable!!
    public String runActivity(GlueContext ctx) {
        ctx.put("flower", new Data().getFlowserName());
        ctx.put("fruits", new Data().getFruitsName());
        ctx.put("vegatable", new Data().getVegatableName());

        return GlueBizControlConstants.SUCCESS;
    }

    private class Data {
        List<String> fruits;
        List<String> vegetables;
        List<String> flower;

        private Data() {
            this.fruits = new ArrayList<>();
            this.fruits.add("apple");
            this.fruits.add("pear");
            this.fruits.add("peach");
            this.fruits.add("grape");
            this.fruits.add("strawberry");
            this.fruits.add("plum");
            this.fruits.add("kiwi");
            this.fruits.add("blueberry");
            this.fruits.add("lemon");
            this.fruits.add("melon");
            this.fruits.add("fig");
            this.fruits.add("mongo");
            this.fruits.add("watermelon");
            this.fruits.add("orange");
            this.fruits.add("banana");
            this.fruits.add("pineapple");
            this.fruits.add("cherry");
            this.fruits.add("guava");
            this.vegetables = new ArrayList<>();
            this.vegetables.add("tomato");
            this.vegetables.add("potato");
            this.vegetables.add("sweet potato");
            this.vegetables.add("spinach");
            this.vegetables.add("parsley");
            this.vegetables.add("cucumber");
            this.vegetables.add("carrot");
            this.vegetables.add("eggplant");
            this.vegetables.add("radish");
            this.vegetables.add("cabbage");
            this.vegetables.add("garlic");
            this.vegetables.add("pimiento");
            this.vegetables.add("papper");
            this.vegetables.add("bean");
            this.vegetables.add("onion");
            this.vegetables.add("mugwort");
            this.vegetables.add("ginger");
            this.vegetables.add("tomato");
            this.vegetables.add("tomato");
            this.vegetables.add("tomato");
            this.flower = new ArrayList<>();
            this.flower.add("rose");
            this.flower.add("tulip");
            this.flower.add("daisy");
            this.flower.add("narcissus");
            this.flower.add("lily");
            this.flower.add("poppy");
            this.flower.add("Chrysanthemum");
            this.flower.add("chinese goldenbell");
            this.flower.add("morning glory");
            this.flower.add("orchid");
            this.flower.add("dandelion");
            this.flower.add("sunflower");
            this.flower.add("cosmos");
            this.flower.add("Baby's breath");
            this.flower.add("Aeolen");
            this.flower.add("pansy");
            this.flower.add("cockscomb");
            this.flower.add("balsam");
            this.flower.add("rose moss");
            this.flower.add("mary gold");
            this.flower.add("kara");
        }

        List<String> getFruitsName() {
            return this.fruits;
        }

        List<String> getVegatableName() {
            return this.vegetables;
        }

        List<String> getFlowserName() {
            return this.flower;
        }
    }
}